export declare const RouteHelper: {
    stringifyQuery(queryParams: any, obj: any): any;
    resolveQueryString(fullPath: any): {};
    isUrlEqual(fullPath1: any, fullPath2: any, ignoreSystem?: boolean, ignoreParams?: any[]): boolean;
    resolveUrl(fullPath: any): {
        path: any;
        query: any;
    };
    hasSameQuery(query1: any, query2: any, ignoreSystem?: boolean, ignoreParams?: any[]): boolean;
    /**
     * 判断参数中是否包含指定参数，并返回参数对应的值
     * @param {*}} route 路由对象
     * @param {*} paramName 参数名
     */
    hasParam(route: any, paramName: any): any;
    /**
     * 当前页面
     */
    currentPage(): any;
    /**
     * 关闭当前页面
     */
    closePage(fullPath: any): void;
    canSkip(_to: any): void;
    onRouteChange(to: any, from: any): Promise<void>;
};
